<script lang="ts" setup>
import type { Header, Item } from "vue3-easy-data-table";

const headers: Header[] = [
  { text: "Nom", value: "name", sortable: true, fixed: true },
  { text: "Role", value: "role", sortable: true, width: 200 },
  { text: "Validité", value: "validity", sortable: true, width: 175 },
  { text: "Notes", value: "notes", sortable: false, width: 200 },
];

const items: Item[] = [
  {
    name: "Paul Madelénat",
    role: "Supercoach",
    validity: "08/09/21 - 31/08/23",
    notes: "Membre du comité @ Coaching",
  },
  {
    name: "Alexandre Tellier",
    role: "Haut-parleur ambulant",
    validity: "1 an (11/22/33)",
    notes: "Membre du comité @ AGEPoly",
  },
  {
    name: "Sylvain Nérisson",
    role: "M. DSI de l'AGEPoly",
    validity: "2 ans",
    notes: "Responsable Informatique @ AGEPoly",
  },
];
</script>

<template>
  <div>
    <EasyDataTable
      :headers="headers"
      :items="items"
      :rows-items="[10, 20, 50, 75, 500]"
      :rows-per-page="20"
      table-class-name="customized-table"
    />
  </div>
</template>

<style scoped>
.customized-table {
  /*--easy-table-border: 1px solid var(--theme-text);*/
  --easy-table-row-border: 1px dotted var(--theme-text-link-hover);

  --easy-table-header-font-size: 14px;
  --easy-table-header-height: 45px;
  --easy-table-header-font-color: var(--theme-text);
  --easy-table-header-background-color: var(--theme-background-accent);

  --easy-table-header-item-padding: 10px 15px;

  --easy-table-body-even-row-font-color: var(--theme-text);
  --easy-table-body-even-row-background-color: transparent;

  --easy-table-body-row-font-color: var(--theme-text);
  --easy-table-body-row-background-color: var(--theme-background-accent);
  --easy-table-body-row-height: 45px;
  --easy-table-body-row-font-size: 13px;

  --easy-table-body-row-hover-font-color: var(--theme-text);
  --easy-table-body-row-hover-background-color: var(--theme-background);

  --easy-table-body-item-padding: 10px 15px;

  --easy-table-footer-background-color: var(--theme-background-accent);
  --easy-table-footer-font-color: var(--theme-text);
  --easy-table-footer-font-size: 14px;
  --easy-table-footer-padding: 0px 10px;
  --easy-table-footer-height: 40px;

  --easy-table-rows-per-page-selector-width: 70px;
  --easy-table-rows-per-page-selector-option-padding: 10px;

  --easy-table-scrollbar-track-color: #2d3a4f;
  --easy-table-scrollbar-color: #2d3a4f;
  --easy-table-scrollbar-thumb-color: #4c5d7a;
  --easy-table-scrollbar-corner-color: #2d3a4f;

  --easy-table-loading-mask-background-color: #2d3a4f;
}
</style>
